# SevenApps Py Easy

**SevenApps Py Easy** es un proyecto creado para optimizar la programación en Python, unificando y simplificando el acceso a mis herramientas y código más utilizado. Esta librería tiene como objetivo facilitar la integración con diversos servicios y APIs, así como proporcionar utilidades que agilicen el desarrollo de proyectos.

## Funcionalidades

### 1. **PlexAPI**
   - Integración con la API de Plex para gestionar y acceder a tu servidor Plex de manera sencilla. Ideal para automatizar tareas relacionadas con el servidor de medios.

### 2. **MyJDownloaderAPI**
   - Acceso a la API de MyJDownloader para gestionar descargas, archivos y tareas relacionadas con este servicio de manera programática.

### 3. **Google Services**
   - **Google Drive**: Facilita la interacción con Google Drive para subir, descargar y gestionar archivos en la nube.
   - **Google Sheets**: Herramientas para leer, escribir y actualizar hojas de cálculo de Google Sheets.

### 4. **Selenium**
   - Automatización de navegadores para realizar pruebas, scraping o cualquier tarea que implique la interacción con un navegador web.

### 5. **SSH**
   - Funcionalidades para establecer conexiones SSH, ejecutar comandos remotamente, y gestionar archivos en servidores remotos de manera segura.

### 6. **Firebase**
   - Conexión con Firebase para acceder y gestionar bases de datos Firestore, autenticación de usuarios y almacenamiento en la nube.

### 7. **OpenAI**
   - Integración con la API de OpenAI para acceder a modelos de lenguaje como GPT, realizar tareas de procesamiento de texto, generación de contenido y más.

## Instalación

Puedes instalar la librería directamente desde PyPI:

```bash
pip install sevenapps-py-easy
